[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Boot failure with CD set based on kernel 2.4.18-5



On Fri, Aug 23, 2002 at 04:13:32PM +1000, Tony Nugent wrote:
> On Sat Jul 06 2002 at 00:54, Tony Nugent wrote:
> 
> > This is a fairly serious problem, the latest -5 kernel cannot be
> > used successfully as the default kernel on an updated installation
> > disk.  (Well, not without being aware of the problem and how to fix
> > it manually).
> 
>  (By choosing lilo as the bootloader during the install, or by
>  creating /boot/grub/device.map and running grub-install within a
>  %post section in a kickstart file, it is possible to kludge around
>  this problem).
> 
> There is now a new kernel released for rh7.3... 2.4.18-10.  Has
> anybody used it to see if the grub installer problem has gone away?

Actually I think the bug that keeps grub from installing may be related
to a package other than the kernel.

The kernel update may just be a coincidence.  It may have succeeded on
subsequent installs with old kernels due to different install options.

I made an updated distro with the last kernel.  It worked on the first
install but grub failed on a more complex install.  After rescuing the
system with my floppy boot I found some indications in the install logs
that looked like the entire postinstall process aborted due to errors in
another package.  I hope to have some time to dig into the errors over the
next couple of weeks and find the broken package.

Of course I could be wrong.  ;-)


Chuck





[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]